[android-components](../../index.md) / [mozilla.components.service.fxa.manager](../index.md) / [AccountState](./index.md)

# AccountState

`enum class AccountState` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/service/firefox-accounts/src/main/java/mozilla/components/service/fxa/manager/State.kt#L14)

States of the [FxaAccountManager](../-fxa-account-manager/index.md).

### Enum Values

| Name | Summary |
|---|---|
| [Start](-start.md) |  |
| [NotAuthenticated](-not-authenticated.md) |  |
| [AuthenticationProblem](-authentication-problem.md) |  |
| [AuthenticatedNoProfile](-authenticated-no-profile.md) |  |
| [AuthenticatedWithProfile](-authenticated-with-profile.md) |  |
